Back to All

Does the paymob woocommerce plugin need a specific version of wordpress and woocomerce?

it's not working, I press authenticate after putting down my api key and HMAC and nothing happens?